#!/bin/sh

set -e

lat=$1
lon=$2

if [ $# -lt 2 ] ; then
        cat "hood/Trainstation.json"
else
        hood="$(./voronoi/test_voronoi.awk $lat $lon < voronoi/voronoi)"
        for poly in poly/*.poly; do
                if ./poly/test_poly.awk -- $lat $lon < "$poly"; then
                        hood=$(basename $poly .poly)
                        break
                fi
        done

        cat "hood/$hood.json"
fi

echo


